#########################
#         CBIO          #
#      TUTORIAL 3       #
#########################

#qqman is an R package that useful for plotting GWAS results
#Install qqman
library(qqman)

#Load the results file (unadjusted analysis)
bmi.qassoc <- read.table("~/plinkout/bmi.qassoc",header=T)

#Load the results file (linear model with adjustment for ancestry)
bmi.linear <- read.table("~/plinkout/bmi-corrected.assoc.linear",header=T)

#Generate the manhattan plot for the uncorrected data
manhattan(bmi.qassoc)
#Generate a qq plot for uncorrected data
qq(bmi.qassoc$P)

#Generate the manhattan plot for the corrected data
manhattan(bmi.linear)
#Generate a qq plot for corrected data
qq(bmi.linear$P)

#Inspect the top signals
sortp <- bmi.linear[order(bmi.linear$P),]
sortp2 <- bmi.qassoc[order(bmi.qassoc$P),]